package yi.iu.processor;

import yi.iu.processor.*;
import yi.util.io.OutputResult;

import java.awt.*;
public class PGMSaver extends yi.iu.processor.ImageProcessor
{
    public int[] getProcessed(int source[], Dimension d)
    {
        // This method is derived from class yi.iu.processor.ImageProcessor
        // to do: code goes here
        return null;
    }

    public int[] getProcessedPseudoColor(int source[], Dimension d)
    {
		Frame f= new Frame();
		FileDialog fd= new FileDialog(f, "Save the result", FileDialog.SAVE);
		fd.show();
		
		
		String fileName=fd.getDirectory()+fd.getFile();
		OutputResult.outputGrayImage(fileName, source, d.width, d.height);
		
        return null;
    }

}